i2o_block_device_unlock
Prev | I2O message devices | Next

## Name

i2o_block_device_unlock — Unlocks the media of device dev

## Synopsis

`int i2o_block_device_unlock (` | struct i2o_device * | dev,
| u32 | media_id`)`;

## Arguments

`dev`

  I2O device which should receive the unlocked request

`media_id`

  Media Identifier

## Description

Unlocks the media in device dev. The media identifier should be set to -1, because the spec does not support any other value.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_block_device_lock | Home | i2o_block_device_power